> For the complete documentation index, see [llms.txt](https://docs.integry.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.integry.ai/apps/supported-apps/constant-contact.md).

# Constant Contact

Integry supports a number of triggers and actions of Constant Contact.

### Authentication <a href="#h_01hr556ap450c8s3d5hf8vc37f" id="h_01hr556ap450c8s3d5hf8vc37f"></a>

Your users will login to Constant Contact via OAuth 2.0.

### Triggers <a href="#h_01hr556ap5m0d97s0v2hv9bk41" id="h_01hr556ap5m0d97s0v2hv9bk41"></a>

| **Name**                   | **Type** | **Description**                               |
| -------------------------- | -------- | --------------------------------------------- |
| **Email Campaign Created** | Polling  | Triggers when a new campaign is created       |
| Contact Created/Updated    | Polling  | Triggers when a contact is created or updated |

For more, please see [Constant Contact API docs](https://developer.constantcontact.com/api_reference/index.html).

### Actions <a href="#h_01hr56vpze824xf8dyw4e604x7" id="h_01hr56vpze824xf8dyw4e604x7"></a>

| **Name**                     | **Method** | **Description**                           |
| ---------------------------- | ---------- | ----------------------------------------- |
| Create Email Campaign        | POST       | Creates a new email campaign              |
| Update Email Campaign's Name | PATCH      | Updates an existing email campaign's name |
| Delete Email Campaign        | DELETE     | Deletes an existing email campaign        |
| Delete Contact               | DELETE     | Deletes an existing contact               |
| Unsubscribe Contact          | PUT        | Unsubscribes an existing contact          |
| Create Contact               | POST       | Creates a new contact                     |
| Update Contact               | PATCH      | Updates an existing contact               |
| Get Contact by ID            | GET        | Fetches a contact details by ID           |
| Create Tag                   | POST       | Creates a new tag                         |

For more, please see [Constant Contact API docs](https://developer.constantcontact.com/api_reference/index.html).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.integry.ai/apps/supported-apps/constant-contact.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
